org.apache.fop.render.awt.viewer

## Class Translator

- java.lang.Object
- - org.apache.fop.render.awt.viewer.Translator

    public class Translator
    extends Object

AWT Viewer's localization class, backed up by `java.util.ResourceBundle`. Originally contributed by: Stanislav.Gorkhover@jCatalog.com

### Constructor Summary

Constructors
Constructor and Description
`Translator()` Default constructor, default `Locale` is used.
`Translator(Locale locale)` Constructor for a given `Locale`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getString(String key)` Returns localized `String` for a given key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Translator

    public Translator()

Default constructor, default `Locale` is used.

#### Translator

    public Translator(Locale locale)

Constructor for a given `Locale`.

Parameters:
  `locale` - Locale to use

### Method Detail

#### getString

    public String getString(String key)

Returns localized `String` for a given key.

Parameters:
  `key` - the key
Returns:
  the localized String